
public class AbstractFactoryMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Fabryka abstrakcyjna: użycie fabryki do tworzenia pojazdów"); 
        AbstractFactory carFactory = FactoryProvider.getFactory("auto");
        Vehicle slowCar = carFactory.createVehicle("wolne");
        slowCar.move();  
    }
    
}
